## libreoffice 3.4.5

=== tests/featuremap/CMakeLists.txt ===

project(featuremaptest)

include_directories(../../src)
INCLUDE(CheckTypeSize)

CHECK_TYPE_SIZE(size_t SIZEOF_SIZE_T)
add_definitions(-DSIZEOF_SIZE_T=${SIZEOF_SIZE_T} -DGR2_EXPORTING)

if  (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
    add_definitions(-D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS -DUNICODE)
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")

add_executable(featuremaptest featuremaptest.cpp
    ../../src/FeatureMap.cpp
    ../../src/XmlTraceLog.cpp
    ../../src/XmlTraceLogTags.cpp)

add_test(NAME featuremaptest COMMAND $<TARGET_FILE:featuremaptest>)

=== tests/vm/CMakeLists.txt ===
project(vm-testing)

enable_testing()

set(SRC ${PROJECT_SOURCE_DIR}/../../src)
include_directories(${PROJECT_SOURCE_DIR} ${SRC})

if(DISABLE_TRACING)
    set(TRACESUPPORT "")
else(DISABLE_TRACING)
    set(TRACESUPPORT ${SRC}/XmlTraceLog.cpp ${SRC}/XmlTraceLogTags.cpp)
endif(DISABLE_TRACING)

# I build the vm code here since it needs to be built for both code threading
# models rather than linking against the library from source.
add_library(vm-test-common  STATIC
                basic_test.cpp
                ${SRC}/gr_face.cpp
                ${SRC}/CachedFace.cpp
                ${SRC}/Code.cpp
                ${SRC}/CmapCache.cpp
                ${SRC}/Face.cpp
                ${SRC}/FeatureMap.cpp
                ${SRC}/GlyphFace.cpp
                ${SRC}/GlyphFaceCache.cpp
                ${SRC}/NameTable.cpp
                ${SRC}/Pass.cpp
                ${SRC}/Segment.cpp
                ${SRC}/SegCache.cpp
                ${SRC}/SegCacheEntry.cpp
                ${SRC}/SegCacheStore.cpp
                ${SRC}/Silf.cpp
                ${SRC}/Slot.cpp
                ${SRC}/TtfUtil.cpp
                ${TRACESUPPORT})

if  (${CMAKE_COMPILER_IS_GNUCXX})
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -fomit-frame-pointer")
	set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELEASE} -fomit-frame-pointer")
endif  (${CMAKE_COMPILER_IS_GNUCXX})

add_executable(vm-test-call     ${SRC}/call_machine.cpp)
target_link_libraries(vm-test-call vm-test-common)

if  (${CMAKE_COMPILER_IS_GNUCXX})
	add_executable(vm-test-direct   ${SRC}/direct_machine.cpp)
	target_link_libraries(vm-test-direct vm-test-common)
endif  (${CMAKE_COMPILER_IS_GNUCXX})

if  (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
    add_definitions(-D_SCL_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_WARNINGS -DUNICODE -DGR2_EXPORTING)
endif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")

add_definitions(-DDISABLE_TRACING)

if  (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
	add_definitions(-fno-rtti -fno-exceptions)
	if ("${CMAKE_BUILD_TYPE}" STREQUAL "Release")
		add_definitions(-DNDEBUG -fomit-frame-pointer)
	endif ("${CMAKE_BUILD_TYPE}" STREQUAL "Release")
endif  (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")

add_test(vm-test-call-threading vm-test-call ${PROJECT_SOURCE_DIR}/../fonts/Padauk.ttf 1)
set_tests_properties(vm-test-call-threading PROPERTIES
        PASS_REGULAR_EXPRESSION "simple program size:    14 bytes.*result of program: 42"
        FAIL_REGULAR_EXPRESSION "program terminated early;stack not empty")

if  (${CMAKE_COMPILER_IS_GNUCXX})
	add_test(vm-test-direct-threading vm-test-direct ${PROJECT_SOURCE_DIR}/../fonts/Padauk.ttf 1)
	set_tests_properties(vm-test-direct-threading PROPERTIES
			PASS_REGULAR_EXPRESSION "simple program size:    14 bytes.*result of program: 42"
			FAIL_REGULAR_EXPRESSION "program terminated early;stack not empty")
endif  (${CMAKE_COMPILER_IS_GNUCXX})

=== debian/changelog ===
libreoffice (1:3.4.5-2) unstable; urgency=low

  * debian/patches/jdbc-driver-threading.diff: backport fix for
    Attach/Detach-CurrentThread slowness from libreoffice-3-5
    (closes: #644957)
  * debian/rules:
    - specify correct --with-servlet-api= after recent libcommons-logging-java
      changes 

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Jan 2012 01:36:05 +0000

libreoffice (1:3.4.5-1) unstable; urgency=medium

  * new upstream release
    - fixes build with bleeding edge external boost and gcc (closes: #652784)

  * debian/libreoffice-{common,core}.postrm.in:
    - on remove, delete created services.rdb (closes: #650341) and
      remove all /var/lib content on remove (prereg/bundled, basisX.Y)
  * debian/control.in:
    - move libreoffice, libreoffice-l10n-{in,za} to new metapackages
      section
  * debian/vars.armhf: add
  * debian/control.fonts.in: ttf-opensymbol should be in oldlibs, thanks
    lintian
  * debian/rules:
    - prevent creating bogus gcc- build-dependency on gcj archs
    - fix qstart.desktop Exec= (closes: #655076)
    - update fakeroot hack for multiarch paths
    - stop creating a dependency on ure for uno-libs3 in .shlibs, use
      uno-libs3 instead
  * debian/uno-libs3.symbols:
    - use uno-libs3, not ure as dependency

  * merge from ubuntu-precise-3.5:
    - add debian multiarch support for Qt4

 -- Rene Engelhard <rene@debian.org>  Thu, 12 Jan 2012 18:56:37 +0000

=== debian/control ===
Source: libreoffice
Section: editors
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: lsb-release, bzip2, bison, flex | flex-old, libxaw7-dev, unzip, zip, autoconf, automake, sharutils, pkg-config, libfontconfig1-dev, libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64], zlib1g-dev, libfreetype6-dev, libx11-dev, libsm-dev, libxt-dev, libxext-dev, libxtst-dev, libice-dev, libsane-dev, libxrender-dev, libcups2-dev, libarchive-zip-perl, libpng12-dev, libjpeg-dev, libxml2-dev, libexpat1-dev, fastjar, xsltproc, libxkbfile-dev, libxinerama-dev, x11proto-render-dev, unixodbc-dev (>= 2.2.11), libxml-parser-perl, gperf, po-debconf, bc, wget | curl, libgl1-mesa-dev [!armel !mips !mipsel], libglu1-mesa-dev [!armel !mips !mipsel], libpoppler-dev (>= 0.8.0), libpoppler-cpp-dev, libgraphite2-dev (>= 0.9.3) [!armel !sparc], libtextcat-dev (>= 2.2-8), libcurl4-gnutls-dev, libssl-dev, libdb-dev, dpkg-dev (>= 1.15.6), python (>= 2.6.6-3+squeeze4), python-dev, debhelper (>= 7.2.3~), libcppunit-dev (>= 1.12), openjdk-6-jdk (>= 6b23~pre8-2) [alpha amd64 armel armhf i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc], openjdk-7-jdk [ia64], gcj-jdk [hppa kfreebsd-i386 kfreebsd-amd64], gcj-native-helper [hppa kfreebsd-amd64 kfreebsd-i386], libgcj-common (>= 1:4.4.1) [hppa kfreebsd-amd64 kfreebsd-i386], ant (>= 1.7.0), ant-optional (>= 1.7.0), mingw-w64 (>= 1.0), libcommons-codec-java, libcommons-httpclient-java, libcommons-lang-java, libcommons-logging-java, libservlet2.5-java (>= 1.1.1-9), libbase-java [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libsac-java [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libxml-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libflute-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libpentaho-reporting-flow-engine-java (>= 0.9.4) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], liblayout-java (>= 0.2.10) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libloader-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libformula-java (>= 1.1.7) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], librepository-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libfonts-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libserializer-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libcommons-logging-java, libservlet2.5-java (>= 1.1.1-9), javahelper (>= 0.37~), xulrunner-dev, libnss3-dev (>= 3.12.3), dmake (>= 1:4.11), libhunspell-dev (>= 1.1.5-2), libhyphen-dev (>= 2.4), libstlport4.6-dev (>= 4.6.2-3) [i386], libboost-dev (>= 1.38), libmdds-dev (>= 0.5.0), libvigraimpex-dev, libwpd-dev (>= 0.9.0), libmythes-dev (>= 2:1.2), libwps-dev (>= 0.2.0), libwpg-dev (>= 0.2.0), libicu-dev (>= 4.0), libxslt1-dev, libcairo2-dev, kdelibs5-dev (>= 4:4.3.4), libqt4-dev (>= 4.5), libmysqlclient-dev, libmysqlcppconn-dev (>= 1.1.0~r791), libebook1.2-dev [!armel], libpq-dev (>= 9.0~), libxrandr-dev, liblucene2-java (>= 2.3.2), libhsqldb-java (>> 1.8.0.10), bsh (>= 2.0b4), liblpsolve55-dev (>= 5.5.0.13-5+b1), lp-solve (>= 5.5.0.13-5+b1), libsuitesparse-dev (>= 1:3.4.0), libdbus-glib-1-dev (>= 0.60), libgstreamer-plugins-base0.10-dev, libneon27-gnutls-dev, librdf0-dev (>= 1.0.8), libgtk2.0-dev (>= 2.10), libgnomevfs2-dev, libgconf2-dev, liborbit2-dev, libldap2-dev
Build-Depends-Indep: fdupes, xml-core, imagemagick, fontforge, translate-toolkit (>= 1.9)
Build-Conflicts: libcairo2 (= 1.4.8-1), libxul-dev (= 1.8.0.13~pre070720-0etch1), gjdoc (= 0.7.8-2), libc6-dev (= 2.6.1-3) [i386 amd64], libc6-dev (= 2.6.1-4) [i386 amd64], nvidia-glx-dev, nvidia-glx-legacy-dev, libmono-dev (= 1.2.6+dfsg-1), libmono-dev (= 1.2.6+dfsg-2), libmono-dev (= 1.2.6+dfsg-3), libmono-dev (= 1.2.6+dfsg-4), libmono-dev (= 2.4+dfsg-2) [sparc], gcj-4.2 (= 4.2.2-6), flex (= 2.5.34-1) [amd64], libboost1.39-dev (<< 1.39.0-2), graphicsmagick-imagemagick-compat (<< 1.3.9~), qt3-dev-tools, ant (= 1.8.0-1) [hppa kfreebsd-i386 kfreebsd-amd64], ant (= 1.8.0-2) [hppa kfreebsd-i386 kfreebsd-amd64], ant (= 1.8.0-3) [hppa kfreebsd-i386 kfreebsd-amd64], g++-4.6 (= 4.6.1-10), g++-4.6 (= 4.6.1-11), base-files (= 6.0), base-files (= 6.0squeeze1), libhsqldb-java (>= 1.8.1~)
Standards-Version: 3.9.1
XS-Python-Version: current
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-openoffice/libreoffice.git
Vcs-Browser: http://git.debian.org/?p=pkg-openoffice/libreoffice.git;a=summary
Bugs: 
Homepage: http://www.libreoffice.org

Package: libreoffice
Architecture: alpha amd64 armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc kfreebsd-amd64 kfreebsd-i386
Section: metapackages
Depends: libreoffice-core (= ${binary:Version}), libreoffice-writer, libreoffice-calc, libreoffice-impress, libreoffice-draw, libreoffice-math, libreoffice-base [!armel], libreoffice-report-builder-bin [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], ttf-dejavu, ttf-sil-gentium-basic, libreoffice-filter-mobiledev, ${lucene-depends}, ${java-common-depends}, ${misc:Depends}
Recommends: ttf-liberation | ttf-mscorefonts-installer, libpaper-utils
Suggests: hunspell-dictionary, myspell-dictionary, libreoffice-help-${help-l10n-virtual-version}, libreoffice-l10n-${help-l10n-virtual-version}, unixodbc, cups-bsd, libsane, hyphen-hyphenation-patterns, mythes-thesaurus, libxrender1, libgl1, libreoffice-gnome | libreoffice-kde, iceweasel | firefox | icedove | thunderbird | iceape-browser | mozilla-browser, ${java-runtime-depends}, openclipart-libreoffice, pstoedit, imagemagick | graphicsmagick-imagemagick-compat, ${gstreamer-plugins-suggests}, ${libldap-suggests}, ${ooo-binfilter-dep}, ${ooo-officebean-dep}
Description: office productivity suite
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This metapackage installs all components of libreoffice:
  * libreoffice-writer: Word processor
  * libreoffice-calc: Spreadsheet
  * libreoffice-impress: Presentation
  * libreoffice-draw: Drawing
  * libreoffice-base: Database
  * libreoffice-math: Equation editor
  * libreoffice-filter-mobiledev: Mobile Devices filters
 .
 You can extend the functionality of LibreOffice by installing these
 packages:
  * hunspell-*/myspell-*: Hunspell/Myspell dictionaries
    for use with LibreOffice
  * libreoffice-l10n-*: UI interface translation
  * libreoffice-help-*: User help
  * mythes-*: Thesauri for the use with LibreOffice
  * hyphen-*: Hyphenation patterns for LibreOffice
  * libreoffice-gtk: Gtk UI Plugin, GNOME File Picker support,
    QuickStarter for GNOMEs notification are
  * libreoffice-gnome: GNOME VFS, GConf backend
  * libreoffice-kde: KDE UI Plugin and KDE File Picker support
  * unixodbc: ODBC database support
  * cups-bsd: Allows LibreOffice to detect your CUPS printer queues
    automatically
  * libsane: Use your sane-supported scanner with LibreOffice
  * libxrender1: Speed up display by using Xrender library
  * libgl1: OpenGL support 
  * openclipart-libreoffice: Open Clip Art Gallery with LibreOffice index
    files
  * iceweasel | firefox | icedove | thunderbird | iceape-browser | mozilla-browser:
    Mozilla profile with Certificates needed for XML Security...
  * openjdk-6-jre | gcj-jre | java5-runtime:
    Java Runtime Environment for use with LibreOffice
  * pstoedit / imagemagick: helper tools for EPS thumbnails
  * gstreamer0.10-plugins-*: GStreamer plugins for use with LibreOffices
    media backend
  * libpaper-utils: papersize detection support via paperconf
  * libldap-2.4-2: LDAP client library; needed for LibreOffice getting its
    profiles from LDAP
  * libreoffice-filter-binfilter: legacy filters (e.g. StarOffice 5.2)

Package: libreoffice-l10n-za
Section: metapackages
Architecture: all
Depends: libreoffice-l10n-af, libreoffice-l10n-en-za, libreoffice-l10n-nr, libreoffice-l10n-nso, libreoffice-l10n-ss, libreoffice-l10n-st, libreoffice-l10n-tn, libreoffice-l10n-ts, libreoffice-l10n-ve, libreoffice-l10n-xh, libreoffice-l10n-zu, ${misc:Depends}
Description: office productivity suite -- South African language packages
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 . 
 This package is a metapackage installing l10n packages for all 11 South
 African languages.

Package: libreoffice-l10n-in
Section: metapackages
Architecture: all
Depends: libreoffice-l10n-as, libreoffice-l10n-bn, libreoffice-l10n-gu, libreoffice-l10n-hi, libreoffice-l10n-ml, libreoffice-l10n-mr, libreoffice-l10n-or, libreoffice-l10n-pa-in, libreoffice-l10n-ta, libreoffice-l10n-te, ${misc:Depends}
Recommends: ttf-indic-fonts
Description: office productivity suite -- Indic language packages
 LibreOffice is a full-featured office productivity suite that provides
 a near drop-in replacement for Microsoft(R) Office.
 .
 This package is a metapackage installing l10n packages for all available
 indic languages.

Package: libreoffice-core
Architecture: alpha amd64 armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc kfreebsd-amd64 kfreebsd-i386
Depends: libreoffice-common (>> ${base-version}), fonts-opensymbol | ttf-opensymbol (>= 1:3.0), ${shlibs:Depends}, ure (>= 1.5.1+OOo3.1.1-15), fontconfig, ${misc:Depends}
Conflicts: libreoffice-calc (<< ${binary:Version}), libreoffice-writer (<< ${binary:Version}), libreoffice-impress (<< ${binary:Version}), libreoffice-draw (<< ${binary:Version}), libreoffice-base (<< ${binary:Version}), libreoffice-gtk (<< ${binary:Version}), libreoffice-gnome (<< ${binary:Version}), libreoffice-kde (<< ${binary:Version}), libreoffice-evolution (<< ${binary:Version}), libreoffice-filter-so52 (<< ${binary:Version}), libreoffice-officebean (<< ${binary:Version}), libreoffice-dev (<< ${binary:Version}), libreoffice-style-crystal (<< 1:3.3.0-1), libreoffice-style-oxygen (<< 1:3.3.0-1), libreoffice-style-tango (<< 1:3.3.0-1), libreoffice-style-hicontrast (<< 1:3.3.0-1), libreoffice-style-galaxy (<< 1:3.3.0-1), libreoffice-style-andromeda (<< 1:3.3.0-1), libcairo2 (= 1.4.8-1), libicu38 (= 3.8~d01-1), cli-uno-bridge (<< 1:3.0.0~dev300m22), cacao-oj6-jre, mozilla-plugin-vlc (<< 1.0)

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2011 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))
CHANGELOG_VARS := $(shell dpkg-parsechangelog | \
        sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
SOURCE_VERSION:=$(shell head -1 debian/changelog | cut -d\( -f2 | cut -d\) -f1)
UPSTREAM_VERSION:=$(shell echo "$(SOURCE_VERSION)"| cut -d: -f2 | cut -d- -f1)
BASE_VERSION:=$(shell echo $(SOURCE_VERSION) | cut -d: -f1):$(UPSTREAM_VERSION)
BINARY_VERSION=$(SOURCE_VERSION)
#BINARY_VERSION=1:2.4.0-$(shell dpkg-parsechangelog  | grep urgency \
	| awk '{print $$2}' | sed -e s/"("// -e s/")"// | cut -d"-" -f2)
#HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(UPSTREAM_VERSION) | cut -d: -f2 | tr [~] [\\-])
HELP_L10N_VIRTUAL_VERSION:=3.4
#VER:=3
OOVER:=3.4
BASIS_VERSION:=$(OOVER)
NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)
NEXT_BASIS_VERSION:=$(NEXT_OOVER)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -s)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

DPKG_VARS := $(shell dpkg-architecture)
OS := $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_OS)
ARCH := $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DIST := $(shell if [ -x /usr/bin/dpkg-vendor ]; then dpkg-vendor --query Vendor; else lsb_release -is; fi)
DISTREL := $(shell lsb_release -cs)
DEB_HOST_GNU_TYPE   ?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\..$$/\1/p')

# Debian buildds run as user `buildd', other are using /CurrentlyBuilding
ON_BUILDD := $(shell if [ "`whoami`" = buildd -o -f /CurrentlyBuilding ] || echo $(CURDIR) | grep -q \/build\/buildd; then echo y; else echo n; fi)

PKGDIR:=debian/libreoffice$(VER)
OODIRNAME=libreoffice$(VER)
OOBRANDDIR:=usr/lib/$(OODIRNAME)
OOBASISDIR:=$(OOBRANDDIR)/basis$(BASIS_VERSION)
OOSDKDIR:=$(OOBASISDIR)/sdk
OOUREDIR:=usr/lib/ure
# compatability
OODIR:=$(OOBASISDIR)

# Figure out who's building this package.
OOO_VENDOR:=The Document Foundation/Debian
ifeq "$(DIST)" "Ubuntu"
OOO_VENDOR=The Document Foundation, Debian and Ubuntu
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

# work around tcsh bugs.debian.org/339034: tcsh: Unknown colorls variable `su'
unexport LS_COLORS

MWS=OOO340
MILESTONE=m1
TAG=$(shell echo $(MWS) | tr A-Z a-z)-$(MILESTONE)
GIT_TAG=$(MWS)_$(MILESTONE)
OOO_BUILD_BRANCH=libreoffice-3-4-5
OOO_BUILD_VERSION=3.4.5.2
# in ooo-build releases the same as OOO_BUILD_VERSION
OOO_BUILD_TARBALL_VERSION=$(OOO_BUILD_VERSION)
OOO_BUILD_TAG=libreoffice-$(OOO_BUILD_TARBALL_VERSION)
OOO_BUILD_TREE=libreoffice-build
SOURCE_TREE=$(OOO_BUILD_TREE)/build/libreoffice-$(OOO_BUILD_TARBALL_VERSION)
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/ext-sources
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=y

ifeq "$(DISTREL)" "squeeze"
 SQUEEZE_BACKPORT=y
endif

#########
# Default package configuration
#
OOO_ARCHS = alpha amd64 armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc kfreebsd-amd64 kfreebsd-i386
PATCHSET=$(DIST)
BUILD_DEPS=

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

BUILD_PYUNO=y
ifeq "$(BUILD_PYUNO)" "y"
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python
export PYTHON=python
else
  PYTHON=python$(PYTHON_VERSION)
export PYTHON=python$(PYTHON_VERSION)
endif
PACKAGE_TTF_OPENSYMBOL=y
BUILD_BINFILTERS=y
BUILD_ONLY_EN_US=n
ENABLE_JAVA=y
ifeq "$(ENABLE_JAVA)" "y"
  JDK=openjdk
  JAVA_MAINVER=6
  ifneq (,$(filter hppa kfreebsd%, $(ARCH)))
    JDK=gcj-jdk
  endif
endif
JAVAHELPER_MIN_VERSION= (>= 0.37~)
ENABLE_MONO=n
MONO2=y
ifeq "$(MONO2)" "y"
  MONO_MINVER= (>= 2.4.2.3)
else
  MONO_MINVER= (>= 1.2.3)
endif
SYSTEM_STUFF += hunspell
HUNSPELL_MIN_VER= (>= 1.1.5-2)
SYSTEM_STUFF += altlinuxhyph
USE_LIBHYPHEN=y
LIBALTLINUXHYPH_MINVER= (>= 0.1.1-11)
LIBHYPHEN_MINVER= (>= 2.4)
USE_AGG=n
# SYSTEM_STUFF += agg
SYSTEM_STUFF += boost
BOOST_VERSION=default
ifeq "$(BOOST_VERSION)" "default"
  BOOST_MINVER= (>= 1.38)
endif
ifeq "$(BOOST_VERSION)" "1.39"
  BOOST_MINVER= (>= 1.39.0-2)
endif
SYSTEM_STUFF += mdds
SYSTEM_STUFF += vigra
USE_EXTERNAL_CXXLIBS=y
#SYSTEM_STUFF += sablot
SYSTEM_STUFF += libxslt
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
ICU_MINVER= (>= 4.0)
SYSTEM_STUFF += libwpd libwpg libwps
#SYSTEM_STUFF += xmlsec
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
CAIRO_FONTS_PATCH=y
BUILD_KDE=y
# not ported to KDE 4
ENABLE_KDEAB=n
QT_MINVER= (>= 4.5)
KDELIBS_MINVER= (>= 4:4.3.4)
BUILD_DBG_PACKAGE=y
ifeq "$(ENABLE_JAVA)" "y"
  # NOTE: If you change this while gcj/ant multiarch combo is still broken
  # you need to disable bsh scripting engine completely (see disable-rhino.diff)
  # See http://lists.debian.org/debian-java/2011/06/msg00108.html and replies
  SYSTEM_STUFF += beanshell
  SYSTEM_STUFF += hsqldb
  HSQLDB_MINVER= (>> 1.8.0.10)
  HSQLDB_TOONEWVER=1.8.1
  # disabled because system-saxon breaks all kinds exports using XSLT transforms
  # (e.g. M$ Word/Excel 2003 XML, Mediawiki, XHTML, UOF, ...)
  # It does *NOT* fail with _plain_ saxon 9.0.0.8 built with OOos build.xml
  # for UOF, but still for e.g. M$.
  #SYSTEM_STUFF += saxon
  SYSTEM_STUFF += lucene
endif
SYSTEM_STUFF += lpsolve
USE_SHARED_LPSOLVE=y
LPSOLVE_MIN_VERSION= (>= 5.5.0.13-5+b1)
USE_DBUS=y
USE_GSTREAMER=y
SYSTEM_STUFF += neon
NEON_SECTYPE=gnutls
NEONSONR=27
SYSTEM_STUFF += redland
USE_OOO_BUILD_DESKTOPS=n
PACKAGE_SDK=y
# FIXME: subsequenttests breaks with to high debug level 11
ifeq "$(ENABLE_JAVA)" "y"
  ifeq "$(JDK)" "openjdk"
    RUN_SMOKETEST=n
    RUN_SUBSEQUENT_TESTS=n
  else
    ifneq ($(ON_BUILDD),y)
      RUN_SMOKETEST=n
      RUN_SUBSEQUENT_TESTS=n
    endif
  endif
else
  RUN_SMOKETEST=n
  RUN_SUBSEQUENT_TESTS=n
endif
# "Unfortunately, running the unoapi tests is still not stable enough to give
# useful results. Therefore, running subsequenttests has been disabled in the
# build bots for now. Making the tests sufficiently stable is ongoing work. "
# (http://wiki.services.openoffice.org/wiki/Test_Cleanup)
ENABLE_JUNIT4=n
JUNIT_MIN_VER= (>= 4.8.2-2)
USE_LIBCURL4=y
CURL_SECTYPE=gnutls
USE_SYSTEM_DMAKE=y
USE_LIBSUITESPARSE=y
SUITESPARSE_MIN_VERSION= (>= 1:3.4.0)
PARALLEL_BUILD=n
MOZILLA=libxul
ENABLE_LDAP=y
USE_OPENLDAP=y
ENABLE_OPENGL=y
SYSTEM_STUFF += openssl
NEW_DPKG_SHLIBDEPS=y
ifeq "$(ENABLE_JAVA)" "y"
  ENABLE_REPORTDESIGN=y
  SYSTEM_STUFF += jfreereport
  ENABLE_MEDIAWIKI=y
  SYSTEM_STUFF += apache-commons
  # if you change these, add something like disable-rhino.diff and/or remove it as long
  # as we have the gcj/ant multiarch braekage. See

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// http://download.documentfoundation.org/libreoffice/src/(\d.\d.\d)/!libreoffice-bootstrap-(\d.\d.\d).\d.tar.bz2

## libreoffice 3.5.0~beta2

=== debian/changelog ===
libreoffice (1:3.5.0~beta2-2) experimental; urgency=low

  * debian/patches/fix-ARM-detetcion-in-set-soenv.diff: as name says
  * debian/patches/make-package-modules-not-suck.diff: add missing , so
    that kde4be1.uno.so correctly ends up in -kde

  * debian/smoketest/patches/smoketest-disable-db-insert-delete-seek-tests.diff,
    debian/rules: make patch apply again
 
  * debian/rules:
    - force boost to 1.46 due to ICE with 1.48  
    - prevent creating bogus gcc- build-dependency on gcj archs

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Dec 2011 00:11:06 +0100

libreoffice (1:3.5.0~beta2-1) experimental; urgency=low

  [ Rene Engelhard ]
  * new upstream beta release

  * debian/*:
    - use "core" sources, no libreoffice-build anymore. Loads of updates.

  * debian/patches/*: move from patches/hotfixes to patch the code
    directly without libreoffice-build

  * debian/rules, debian/vars.*, debian/*.links.in:
    - loads of updates for new envfile name and gone LIBSUFFIX
  * debian/rules:
    - enable new build against Gtk3
    - bump python b-d to >= 2.6 as we don't work with earlier anymore.
      Also build python3-uno
    - add new conditionals and build-deps for new (libvisio,librsvg,gettext,
      libcmis) libraries and libexttextcat switch - and those we needed to move
      from libreoffice-builds' distro-configs. Adapt for changed configure
      options
    - add new conditionals and build-deps for new libvisio,librsvg,gettext,
      libcmis usage and libexttextcat switch - and those we needed to move
      from libreoffice-builds' distro-configs
    - run new "make check" instead of solenv/bin/subsequenttests and
      manual smoketest
    - remove fakeroot hackaround
  * debian/rules, debian/make-package-modules-not-suck.diff: migrate loads of
    mv's in debian/rules to proper scp2 patches
  * debian/rules, debian/control.in: 
    - move from self-defined UPSTREAM_VERSION/ARCH etc. to use
      /usr/share/dpkg/*.mk
  * debian/control.in:
     - update descriptions for new Gtk(3) print dialog
    - move libreoffice, libreoffice-l10n-{in,za} to new metapackages
      section
  * debian/control.fonts.in: ttf-opensymbol should be in oldlibs, thanks
    lintian
  * debian/patches:
     - migrate reportdesign-mention-package.diff from libreoffice/build
     - migrate jdbc-driver-classpaths.diff from libreoffice/build
     - migrate mysqlcppconn-mysqlclient-SONAME.diff from libreoffice/build
     - migrate system-python-{ure-bootstrap,uno-path}.diff and
       pyuno-ooodir.diff from libreoffice/build
     - migrate split-icons-search-usr-share.diff from libreoffice/build
  * debian/vars.armhf: add

  [ Bjoern Michaelsen ]
  * debian/rules:
    - set CURDIR before first use and use safe method to set it
    - update GIT_ vars, add GIT_BASEURL for local mirrors
    - update get-orig-source
    - build needs the ext-sources
  * debian/README:
    - update most outdated README sections
  * debian/patches:
    - migrate mention-java-common-package.diff from libreoffice/build
    - migrate help-msg-add-package-info.diff from libreoffice/build
    - update help-msg-add-package-info.diff, replace openoffice.org with
      libreoffice
    - migrate sensible-ooomua.diff from libreoffice/build and rename to
      sensible-lomua; add icedove and thunderbird as fallbacks
    - migrate sensible-browser.diff from libreoffice/build

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Dec 2011 10:16:18 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>
-Build-Depends: lsb-release, bzip2, bison, flex | flex-old, libxaw7-dev, unzip, zip, autoconf, automake, sharutils, pkg-config, libfontconfig1-dev, libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64], zlib1g-dev, libfreetype6-dev, libx11-dev, libsm-dev, libxt-dev, libxext-dev, libxtst-dev, libice-dev, libsane-dev, libxrender-dev, libcups2-dev, libarchive-zip-perl, libpng12-dev, libjpeg-dev, libxml2-dev, libexpat1-dev, fastjar, xsltproc, libxkbfile-dev, libxinerama-dev, x11proto-render-dev, unixodbc-dev (>= 2.2.11), libxml-parser-perl, gperf, po-debconf, bc, wget | curl, libgl1-mesa-dev [!armel !mips !mipsel], libglu1-mesa-dev [!armel !mips !mipsel], libpoppler-dev (>= 0.8.0), libpoppler-cpp-dev, libgraphite2-dev (>= 0.9.3) [!armel !sparc], libtextcat-dev (>= 2.2-8), libcurl4-gnutls-dev, libssl-dev, libdb-dev, dpkg-dev (>= 1.15.6), python (>= 2.6.6-3+squeeze4), python-dev, debhelper (>= 7.2.3~), libcppunit-dev (>= 1.12), openjdk-6-jdk (>= 6b23~pre8-2) [alpha amd64 armel armhf i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc], openjdk-7-jdk [ia64], gcj-jdk [hppa kfreebsd-i386 kfreebsd-amd64], gcj-native-helper [hppa kfreebsd-amd64 kfreebsd-i386], libgcj-common (>= 1:4.4.1) [hppa kfreebsd-amd64 kfreebsd-i386], ant (>= 1.7.0), ant-optional (>= 1.7.0), mingw-w64 (>= 1.0), libcommons-codec-java, libcommons-httpclient-java, libcommons-lang-java, libcommons-logging-java, libservlet2.5-java (>= 1.1.1-9), libbase-java [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libsac-java [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libxml-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libflute-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libpentaho-reporting-flow-engine-java (>= 0.9.4) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], liblayout-java (>= 0.2.10) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libloader-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libformula-java (>= 1.1.7) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], librepository-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libfonts-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libserializer-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libcommons-logging-java, libservlet2.5-java (>= 1.1.1-9), javahelper (>= 0.37~), xulrunner-dev, libnss3-dev (>= 3.12.3), dmake (>= 1:4.11), libhunspell-dev (>= 1.1.5-2), libhyphen-dev (>= 2.4), libstlport4.6-dev (>= 4.6.2-3) [i386], libboost-dev (>= 1.38), libmdds-dev (>= 0.5.0), libvigraimpex-dev, libwpd-dev (>= 0.9.0), libmythes-dev (>= 2:1.2), libwps-dev (>= 0.2.0), libwpg-dev (>= 0.2.0), libicu-dev (>= 4.0), libxslt1-dev, libcairo2-dev, kdelibs5-dev (>= 4:4.3.4), libqt4-dev (>= 4.5), libmysqlclient-dev, libmysqlcppconn-dev (>= 1.1.0~r791), libebook1.2-dev [!armel], libpq-dev (>= 9.0~), libxrandr-dev, liblucene2-java (>= 2.3.2), libhsqldb-java (>> 1.8.0.10), bsh (>= 2.0b4), liblpsolve55-dev (>= 5.5.0.13-5+b1), lp-solve (>= 5.5.0.13-5+b1), libsuitesparse-dev (>= 1:3.4.0), libdbus-glib-1-dev (>= 0.60), libgstreamer-plugins-base0.10-dev, libneon27-gnutls-dev, librdf0-dev (>= 1.0.8), libgtk2.0-dev (>= 2.10), libgnomevfs2-dev, libgconf2-dev, liborbit2-dev, libldap2-dev
-Build-Depends-Indep: fdupes, xml-core, imagemagick, fontforge, translate-toolkit (>= 1.9)
+Build-Depends: dpkg-dev (>= 1.16.1), lsb-release, bzip2, bison, flex | flex-old, libxaw7-dev, unzip, zip, autoconf, automake, sharutils, pkg-config, libfontconfig1-dev, libc0.1 (>= 2.10.2-7) [kfreebsd-i386 kfreebsd-amd64], zlib1g-dev, libfreetype6-dev, libx11-dev, libsm-dev, libxt-dev, libxext-dev, libxtst-dev, libice-dev, libcups2-dev, libarchive-zip-perl, fastjar, xsltproc, libxkbfile-dev, libxinerama-dev, x11proto-render-dev, libxml-parser-perl, gperf, po-debconf, bc, wget | curl, libgl1-mesa-dev [!armel !mips !mipsel], libglu1-mesa-dev [!armel !mips !mipsel], libpoppler-dev (>= 0.8.0), libpoppler-cpp-dev, libgraphite2-dev (>= 0.9.3) [!armel !sparc], libexttextcat-dev (>= 3.1.1), libjpeg-dev, libxml2-dev, libxslt1-dev, libexpat1-dev, unixodbc-dev (>= 2.2.11), libsane-dev, libxrender-dev, libpng12-dev, libssl-dev, librsvg2-dev, libdb-dev, python (>= 2.6.6-3+squeeze4), python-dev (>= 2.6), python3-dev, debhelper (>= 7.2.3~), libcppunit-dev (>= 1.12), openjdk-6-jdk (>= 6b23~pre8-2) [alpha amd64 armel armhf i386 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc], openjdk-7-jdk [ia64], gcj-jdk [hppa kfreebsd-i386 kfreebsd-amd64], gcj-native-helper [hppa kfreebsd-amd64 kfreebsd-i386], libgcj-common (>= 1:4.4.1) [hppa kfreebsd-amd64 kfreebsd-i386], ant (>= 1.7.0), ant-optional (>= 1.7.0), mingw-w64 (>= 1.0), libcommons-codec-java, libcommons-httpclient-java, libcommons-lang-java, libcommons-logging-java, libservlet2.5-java, libbase-java [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libsac-java [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libxml-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libflute-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libpentaho-reporting-flow-engine-java (>= 0.9.4) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], liblayout-java (>= 0.2.10) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libloader-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libformula-java (>= 1.1.7) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], librepository-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libfonts-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libserializer-java (>= 1.1.6) [!armel !hppa !kfreebsd-amd64 !kfreebsd-i386], libcommons-logging-java, libservlet2.5-java, javahelper (>= 0.37~), libnss3-dev (>= 3.12.3), xulrunner-dev, dmake (>= 1:4.11), libhunspell-dev (>= 1.1.5-2), libhyphen-dev (>= 2.4), libstlport4.6-dev (>= 4.6.2-3) [i386], libboost1.46-dev, libmdds-dev (>= 0.5.0), libvigraimpex-dev, libsampleicc-dev, libicc-utils-dev, libwpd-dev (>= 0.9.0), libmythes-dev (>= 2:1.2), libwps-dev (>= 0.2.0), libwpg-dev (>= 0.2.0), libvisio-dev, libcmis-dev, libicu-dev (>= 4.0), libcairo2-dev, kdelibs5-dev (>= 4:4.3.4), libqt4-dev (>= 4.5), libmysqlclient-dev, libmysqlcppconn-dev (>= 1.1.0~r791), libgtk2.0-dev (>= 2.10), libgtk-3-dev (>= 3.2~), libebook1.2-dev [!armel], libpq-dev (>= 9.0~), libxrandr-dev, liblucene2-java (>= 2.3.2), libhsqldb-java (>> 1.8.0.10), bsh (>= 2.0b4), liblpsolve55-dev (>= 5.5.0.13-5+b1), lp-solve (>= 5.5.0.13-5+b1), libsuitesparse-dev (>= 1:3.4.0), libdbus-glib-1-dev (>= 0.70), libgstreamer-plugins-base0.10-dev, libneon27-gnutls-dev, librdf0-dev (>= 1.0.8), libgnomevfs2-dev, libgconf2-dev, liborbit2-dev, gettext, libldap2-dev
+Build-Depends-Indep: fdupes, xml-core, imagemagick, fontforge
 Build-Conflicts: libcairo2 (= 1.4.8-1), libxul-dev (= 1.8.0.13~pre070720-0etch1), gjdoc (= 0.7.8-2), libc6-dev (= 2.6.1-3) [i386 amd64], libc6-dev (= 2.6.1-4) [i386 amd64], nvidia-glx-dev, nvidia-glx-legacy-dev, libmono-dev (= 1.2.6+dfsg-1), libmono-dev (= 1.2.6+dfsg-2), libmono-dev (= 1.2.6+dfsg-3), libmono-dev (= 1.2.6+dfsg-4), libmono-dev (= 2.4+dfsg-2) [sparc], gcj-4.2 (= 4.2.2-6), flex (= 2.5.34-1) [amd64], libboost1.39-dev (<< 1.39.0-2), graphicsmagick-imagemagick-compat (<< 1.3.9~), qt3-dev-tools, ant (= 1.8.0-1) [hppa kfreebsd-i386 kfreebsd-amd64], ant (= 1.8.0-2) [hppa kfreebsd-i386 kfreebsd-amd64], ant (= 1.8.0-3) [hppa kfreebsd-i386 kfreebsd-amd64], g++-4.6 (= 4.6.1-10), g++-4.6 (= 4.6.1-11), base-files (= 6.0), base-files (= 6.0squeeze1), libhsqldb-java (>= 1.8.1~)
 Standards-Version: 3.9.1
 XS-Python-Version: current

=== debian/rules ===
#!/usr/bin/make -f
################################################################################
# LibreOffice source package rules file
#
# Please see debian/README for detailed documentation about the build system, and
# how to build LibreOffice.
################################################################################
# Authors:
# Chris Halls <halls@debian.org>
# Rene Engelhard <rene@debian.org>
# Copyright 2002-2011 Software in the Public Interest, Inc.
# Portions Copyright 2010 Canonical Ltd. Author: Matthias Klose
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.
################################################################################

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

include /usr/share/dpkg/pkg-info.mk
CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
BASE_VERSION:=$(shell echo $(DEB_VERSION) | cut -d: -f1):$(DEB_VERSION_UPSTREAM)
BINARY_VERSION=$(DEB_VERSION)
HELP_L10N_VIRTUAL_VERSION:=$(shell echo $(DEB_VERSION_UPSTREAM) | cut -d: -f2 | tr [~] [\\-])
#HELP_L10N_VIRTUAL_VERSION:=3.5
#VER:=3
OOVER:=3.5
NEXT_OOVER:=$(shell echo "$(OOVER) + 0.1" | bc)

ARCH_INDEP_PACKAGES := $(shell dh_listpackages -i)
ARCH_DEP_PACKAGES := $(shell dh_listpackages -s)
PACKAGES := $(ARCH_INDEP_PACKAGES) $(ARCH_DEP_PACKAGES)

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/vendor.mk
DISTREL := $(shell lsb_release -cs)
SHELL:=/bin/bash

SYSTEM_GCC_VERSION = $(shell gcc --version | sed -n '/^gcc/s/.*\(.\..\)\..$$/\1/p')

# Debian buildds run as user `buildd', other are using /CurrentlyBuilding
ON_BUILDD := $(shell if [ "`whoami`" = buildd -o -f /CurrentlyBuilding ] || echo $(CURDIR) | grep -q \/build\/buildd; then echo y; else echo n; fi)

PKGDIR:=debian/libreoffice$(VER)
OODIRNAME=libreoffice$(VER)
OODIR:=usr/lib/$(OODIRNAME)
OOUREDIR:=usr/lib/ure
OOSDKDIR:=$(OODIR)/sdk

# Figure out who's building this package.
OOO_VENDOR:=The Document Foundation/Debian
ifeq "$(DEB_VENDOR)" "Ubuntu"
OOO_VENDOR=The Document Foundation, Debian and Ubuntu
endif
export OOO_VENDOR

# debhelper
export DH_OPTIONS
export DH_ALWAYS_EXCLUDE=CVS:.svn:.bzr:.git
#export DH_VERBOSE=1
# quilt
export QUILT_PATCHES=debian/patches
export QUILT_OPTIONS="-p1 -F0"

GIT_BASEURL:=git://anongit.freedesktop.org/libreoffice
# NOT in proper libreoffice-3-5 branch
# use ./g checkout -b tag-libreoffice-3.4.99.1 libreoffice-3.4.99.1
GIT_TAG=libreoffice-3.4.99.2
GIT_BRANCH=tag-libreoffice-3.4.99.2
SOURCE_TREE=.
STAMP_DIR=debian/stampdir
TARFILE_LOCATION=$(CURDIR)/ext-sources
export TARFILE_LOCATION
USE_SOURCE_TARBALLS=y
USE_GIT_TARBALLS=n

ifeq "$(DISTREL)" "squeeze"
 SQUEEZE_BACKPORT=y
endif

#########
# Default package configuration
#
OOO_ARCHS = alpha amd64 armel armhf hppa i386 ia64 mips mipsel powerpc powerpcspe ppc64 s390 s390x sparc kfreebsd-amd64 kfreebsd-i386
PATCHSET=$(DEB_VENDOR)
BUILD_DEPS=

# These are components which can be built from internal copies, or used from the
# distribution. See configure --help for valid values (--with-system-<value>).
SYSTEM_STUFF = dicts

BUILD_PYUNO=y
ENABLE_PYTHON3=y
ifeq "$(BUILD_PYUNO)" "y"
  ENABLE_SCRIPT_PROVIDER_PYTHON=y
endif
# THIS IS ONLY FOR TESTING. When building against a specified pythonX.Y
# this will work inside OOo but *not* from outside OOo unless the user
# uses pythonX.Y directly (and the dh_pycentral-created dependencies allow
# also the non-working default python then) - see e.g. #587402. Also
# note we are NOT working with python < 2.6 anymore!
PYTHON_VERSION=current
ifeq "$(PYTHON_VERSION)" "current"
  PYTHON=python (>= 2.6)
export PYTHON=python
else
  PYTHON=python$(PYTHON_VERSION)
export PYTHON=python$(PYTHON_VERSION)
endif
ifeq "$(ENABLE_PYTHON3)" "y"
	PYTHON3_VERSION=current
  ifeq "$(PYTHON3_VERSION)" "current"
	PYTHON3=python3
  else
	PYTHON3=python$(PYTHON3_VERSION)
  endif
endif
PACKAGE_TTF_OPENSYMBOL=y
BUILD_BINFILTERS=y
BUILD_ONLY_EN_US=y
ENABLE_JAVA=y
ifeq "$(ENABLE_JAVA)" "y"
  JDK=openjdk
  JAVA_MAINVER=6
  ifneq (,$(filter hppa kfreebsd%, $(DEB_HOST_ARCH)))
    JDK=gcj-jdk
  endif
endif
JAVAHELPER_MIN_VERSION= (>= 0.37~)
SYSTEM_STUFF += hunspell
HUNSPELL_MIN_VER= (>= 1.1.5-2)
SYSTEM_STUFF += altlinuxhyph
USE_LIBHYPHEN=y
LIBALTLINUXHYPH_MINVER= (>= 0.1.1-11)
LIBHYPHEN_MINVER= (>= 2.4)
USE_AGG=n
# SYSTEM_STUFF += agg
SYSTEM_STUFF += boost
BOOST_VERSION=1.46
ifeq "$(BOOST_VERSION)" "default"
  BOOST_MINVER= (>= 1.38)
endif
ifeq "$(BOOST_VERSION)" "1.39"
  BOOST_MINVER= (>= 1.39.0-2)
endif
SYSTEM_STUFF += mdds
SYSTEM_STUFF += vigra
USE_EXTERNAL_CXXLIBS=y
#SYSTEM_STUFF += sablot
SYSTEM_STUFF += mythes
SYSTEM_STUFF += icu
ICU_MINVER= (>= 4.0)
SYSTEM_STUFF += libwpd libwpg libwps
SYSTEM_STUFF += libvisio
#SYSTEM_STUFF += xmlsec
BUILD_CAIROCANVAS=y
SYSTEM_STUFF += cairo
CAIRO_FONTS_PATCH=y
BUILD_KDE=y
# not ported to KDE 4
ENABLE_KDEAB=n
QT_MINVER= (>= 4.5)
KDELIBS_MINVER= (>= 4:4.3.4)
BUILD_DBG_PACKAGE=y
ifeq "$(ENABLE_JAVA)" "y"
  # NOTE: If you change this while gcj/ant multiarch combo is still broken
  # you need to disable bsh scripting engine completely (see disable-rhino.diff)
  # See http://lists.debian.org/debian-java/2011/06/msg00108.html and replies
  SYSTEM_STUFF += beanshell
  SYSTEM_STUFF += hsqldb
  HSQLDB_MINVER= (>> 1.8.0.10)
  HSQLDB_TOONEWVER=1.8.1
  # disabled because system-saxon breaks all kinds exports using XSLT transforms
  # (e.g. M$ Word/Excel 2003 XML, Mediawiki, XHTML, UOF, ...)
  # It does *NOT* fail with _plain_ saxon 9.0.0.8 built with OOos build.xml
  # for UOF, but still for e.g. M$.
  #SYSTEM_STUFF += saxon
  SYSTEM_STUFF += lucene
endif
SYSTEM_STUFF += lpsolve
USE_SHARED_LPSOLVE=y
LPSOLVE_MIN_VERSION= (>= 5.5.0.13-5+b1)
USE_DBUS=y
USE_GSTREAMER=y
SYSTEM_STUFF += neon
NEON_SECTYPE=gnutls
NEONSONR=27
SYSTEM_STUFF += redland
PACKAGE_SDK=y
ifeq "$(ENABLE_JAVA)" "y"
  ifeq "$(JDK)" "openjdk"
    RUN_MAKE_CHECK=y
  endif
else
  RUN_MAKE_CHECK=n
endif
# "Unfortunately, running the unoapi tests is still not stable enough to give
# useful results. Therefore, running subsequenttests has been disabled in the
# build bots for now. Making the tests sufficiently stable is ongoing work. "
# (http://wiki.services.openoffice.org/wiki/Test_Cleanup)
# and they are sloooow...
ENABLE_JUNIT4=n
JUNIT_MIN_VER= (>= 4.8.2-2)
USE_LIBCURL4=y
CURL_SECTYPE=gnutls
USE_SYSTEM_DMAKE=y
USE_LIBSUITESPARSE=y
SUITESPARSE_MIN_VERSION= (>= 1:3.4.0)
PARALLEL_BUILD=n
ENABLE_LDAP=y
USE_OPENLDAP=y
ENABLE_OPENGL=y
SYSTEM_STUFF += openssl
NEW_DPKG_SHLIBDEPS=y
ifeq "$(ENABLE_JAVA)" "y"
  ENABLE_REPORTDESIGN=y
  SYSTEM_STUFF += jfreereport
  ENABLE_MEDIAWIKI=y
  SYSTEM_STUFF += apache-commons
  # if you change these, add something like disable-rhino.diff and/or remove it as long
  # as we have the gcj/ant multiarch braekage. See
  # http://lists.debian.org/debian-java/2011/06/msg00108.html and replies
  ENABLE_SCRIPT_PROVIDER_BSH=y
  ENABLE_SCRIPT_PROVIDER_JS=n
else
  ENABLE_REPORTDESIGN=n
  ENABLE_MEDIAWIKI=n
endif
ENABLE_SDBC_POSTGRESQL=y
ENABLE_MINIMIZER=y
ENABLE_PRESENTER_CONSOLE=y
ENABLE_PDFIMPORT=y
BUILD_GTK=y
BUILD_GTK3=y
ENABLE_EVO2=y
ENABLE_GVFS=y
ENABLE_GCONF=y
# broken!
ENABLE_GIO=n
ENABLE_RANDR=y
ENABLE_LAYOUT=n
ifeq "$(BUILD_GTK)" "y"
  PACKAGE_NPSOPLUGIN=y
endif
PACKAGE_BASE=y
ENABLE_GRAPHITE=y
SYSTEM_STUFF += graphite
ALLOC=system
SYSTEM_STUFF += libexttextcat
SYSTEM_STUFF += cppunit
ENABLE_LIBRSVG=y
SYSTEM_LIBRSVG=y
# when we have a package we want to have to be installed on older things with some older
# C++ ABI (like it was the case with libreoffice2), we need to set this. Don't touch
# otherwise
SYSTEM_STUFF += stdlibs
DEFAULT_IMAGE=galaxy
IMAGES:=$(DEFAULT_IMAGE) crystal hicontrast tango oxygen
ENABLE_MYSQLNATIVE=y
# cannot be disabled, unless you have a internal MySQL/PostgreSQL somewhere :-)
SYSTEM_STUFF += mysql mysql-cppconn
MYSQLCPPCONN_MINVER= (>= 1.1.0~r791)
SYSTEM_STUFF += postgresql
DICT_DIR=/usr/share/hunspell
HYPH_DIR=/usr/share/hyphen

=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg\.\d+$// http://download.documentfoundation.org/libreoffice/src/(\d.\d.\d)/!libreoffice-core-(\d.\d.\d).\d.tar.bz2
